CVE-2019-17451

Published: 10 October 2019

An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.32. It is an integer overflow leading to a SEGV in _bfd_dwarf2_find_nearest_line in dwarf2.c, as demonstrated by nm.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
binutils
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(2.34-5ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(2.34-5ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (2.30-21ubuntu1~18.04.3)
Ubuntu 16.04 LTS (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Needs triage

Patches:
Upstream: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=336bfbeb1848f4b9558456fdcf283ee8a32d7fd1